
class AuthServiceSubcatIndustry {
  int? id;
  int? maincatId;
  String? subcatName;
  String? label;
  String? colorCode;
  dynamic colorCode2;
  String? pictureUrl;
  int? display;
  int? ambassadorAvailable;
  int? displayForConfig;

  AuthServiceSubcatIndustry({this.id, this.maincatId, this.subcatName, this.label, this.colorCode, this.colorCode2, this.pictureUrl, this.display, this.ambassadorAvailable, this.displayForConfig});

  AuthServiceSubcatIndustry.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    maincatId = json["maincatId"];
    subcatName = json["subcatName"];
    label = json["label"];
    colorCode = json["colorCode"];
    colorCode2 = json["colorCode2"];
    pictureUrl = json["pictureUrl"];
    display = json["display"];
    ambassadorAvailable = json["ambassadorAvailable"];
    displayForConfig = json["displayForConfig"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["maincatId"] = maincatId;
    data["subcatName"] = subcatName;
    data["label"] = label;
    data["colorCode"] = colorCode;
    data["colorCode2"] = colorCode2;
    data["pictureUrl"] = pictureUrl;
    data["display"] = display;
    data["ambassadorAvailable"] = ambassadorAvailable;
    data["displayForConfig"] = displayForConfig;
    return data;
  }
}                                                                